/*
 * blanco Framework
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.expander.query.field;

import blanco.ig.expander.IgType;
import blanco.ig.expander.Scope;
import blanco.ig.expander.field.FieldExpander;

/**
 * QueryクラスのfResultSetフィールドです。
 * 
 * @author IGA Tosiki
 */
public class ResultSetFieldDotNet extends FieldExpander {
    /**
     * QueryクラスのfResultSetフィールドのコンストラクタです。
     * 
     * @author IGA Tosiki
     */
    public ResultSetFieldDotNet() {
        super(new IgType("System.Data.SqlClient.SqlDataReader"), "fResultSet");

        getJavaDoc().addLine("このクラスが内部的に利用する結果セットオブジェクト。");
        getJavaDoc().addLine("");
        getJavaDoc().addLine("このオブジェクトはステートメントオブジェクトから生成されて内部的に利用されます。");
    }

    /**
     * ジェネレーションギャップデザインパターンが利用可能になる目的で、スコープはprotectedとします。
     */
    protected Scope getScope() {
        return Scope.PROTECTED;
    }
}
